### Function

# Gimp gradient_segment_range_blend_opacity

#### Declaration [src]

    gboolean
    gimp_gradient_segment_range_blend_opacity (
      const gchar* name,
      gint start_segment,
      gint end_segment
    )

#### Description [src]

Blend the opacity of the segment range.

This function blends the opacity (but not the colors) of the segments’ range of the gradient. Using it, the opacity’s transition will be uniform across the range.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The gradient name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`start_segment` | `gint`
| The index of the first segment to operate on.
`end_segment` | `gint`
| The index of the last segment to operate on. If negative, the selection will extend to the end of the string.

#### Return value

Returns: | `gboolean`
| TRUE on success.